Package org.bukkit.inventory

# Interface BeaconInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

public interface BeaconInventory extends Inventory
Interface to the inventory of a Beacon.

## Method Summary

Modifier and Type
Method
Description
`@Nullable ItemStack`
`getItem()`
Get the item powering the beacon.
`void`
`setItem(@Nullable ItemStack item)`
Set the item powering the beacon.

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### setItem

void setItem(@Nullable @Nullable ItemStack item)
Set the item powering the beacon.

Parameters:
  `item` - The new item

### getItem

@Nullable @Nullable ItemStack getItem()
Get the item powering the beacon.

Returns:
  The current item.